﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Singleton.Buildings.Upgrades
{
    public class BuildingSAM : BuildingUpgradeDecorator
    {
        public override string Description
        {
            get { return string.Format("{0}, SAM", WrappedBuilding.Description); }
        }

        public override int Power
        {
            // A SAM installation consumes an additional 15 power.
            get { return WrappedBuilding.Power + 15; }
        }

        public BuildingSAM(IBuilding wrappedBuilding) : base(wrappedBuilding) { }
    }
}
