﻿using System;

using Singleton.Units;
using Singleton.Shooting;
using Singleton.Armor;

namespace Singleton.FactionInfo
{
    public abstract class FactionDetailsFactory
    {
        public abstract UnitSide GetSide();
        public abstract UnitBehaviour GetBehaviour();
        public abstract string GetDescription(UnitType unitType);
        public abstract IShootingBehaviour GetShootingBehaviour(UnitType unitType);
        public abstract IArmorBehaviour GetArmor(UnitType unitType);
    }
}
