﻿using System;

namespace Singleton.Utility
{
    public class Singleton<T> where T : class, new()
    {
        protected Singleton() { }

        public static T Instance
        {
            get { return Nested.Singleton; }
        }

        private sealed class Nested
        {
            private static readonly T _instance = new T();

            internal static T Singleton
            {
                get { return _instance; }
            }
        }
    }
}
